Minova ERP Internal - Bug #1416

[Sales Order] Field Total Amount tercalculate otomatis
07/27/2022 03:01 PM - Maulina Hali

Status: Closed Start date: 07/27/2022
Priority: High Due date: 07/29/2022
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.50 hours
Description

Dear Mbak Yomma,

Mohon bantuanyaa untuk melakukan pengecekan dan perbaikan atas case dimana pada menu sales order untuk field total amount
pada item tercalculate secara otomatis, saat tax type nya telah di default value untuk type 'inculude’ '1".

Demikian yang dapat saya sampaikan, mohon dibantu yaaa.
Terimakasih hihihi

Detail Info

Menu : Logistic & Service - Sales Management - Sales Order
Port : 51110

DB Name : MinovaES_ERP_2021

SQL Server : 192.168.100.181

History

#1 - 07/27/2022 03:10 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

field total amount menjadi auto calculate sesuai tax type yg sudah d default 1

#2 - 07/28/2022 04:54 PM - Tri Rizqiaty

- File clipboard-202207281653-mb5rw.png added

- File document.js added

- File JavaScript PTRSALESITEMS _20220727.txt added

- Status changed from Assigned to Developing

Update Fixing :

1. Ul-app-controller-filo : document.js (file terlampir)
f—] createDoc: function () {
var me = this;
me.action = '
me .docNo =

me.dataExist= ;
me.docStatus= "";

me.docStatusExist= "";

me.PostingDateExist= "";

var pnlSelect = Ext.ComponentQuery.query(’'[
var pnlTransaction = Ext.ComponentQuery.gquery(’
var panclHead = Ext.ComponentQuery.query('[
var panclDisplayHead = Ext.ComponentQuery.query (' [na
var formHead = panelHead.getForm() :

formHead.reset () ;

var formHeadDisplay = panelDisplayHead.getForm():
formHeadDisplay.reset () ;

var btnSaveCreate = Ext.ComponentQuery.query(
var btnCreate = Ext.ComponentQuery.query(
var btnSave = Ext.ComponentQuery.query(’'
var btnEdit = Ext.ComponentQuery.query('[r
var btnDelete = Ext.ComponentQuery.query('[
pnlSelect.secHidden (true) ;
pnlTransaction.setHidden (false) ;
panelHead.setHidden (false) ;
panelDisplayHead.setHidden(true) ;
btnSaveCreate.setDisabled(false) ;
btnCreate.setDisabled (false) ;
btnSave.scetDisabled (false) ;
btnEdit.setDisabled (true)
formHead. findField ("
me.afterrenderTab () ;

[f mwh tri

") . setValue {me.docType) ;

var tb = Ext.ComponentQuery.guery(”|[
var tbl = tb.activeTab.tbl:
if (me.TransType — 'FIN') //// edit by Tri nwh 20220727

= i
[‘] var btnadd = Ext.ComponentQuery.query('/[ 4+ thl + '1'")[0].setDisabled(true);
var btndelete = Ext.ComponentQuery.ouery( =' + tbl + "1")[C1.setDisabled(true)r

2. Update SDATATABLEFIELD - FieldName : PriceAmount, DiscountPercentage, Quantity Transaction - SelectFunction

#3 - 07/28/2022 04:54 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Maulina Hali

#4 - 07/28/2022 05:03 PM - Maulina Hali
- Status changed from QA Test to Closed

- Assignee changed from Maulina Hali to Tri Rizqgiaty

Dear Mbak Yommaa,

Thank u yaaa, sudah sesuaiiii.

Files

clipboard-202207281653-mb5rw.png 104 KB 07/28/2022
document.js 69.1 KB 07/28/2022
JavaScript PTRSALESITEMS_20220727.txt 1.81 KB 07/28/2022
